Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_current_deposit_address \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 3461,
  "method": "private/get_current_deposit_address",
  "params": {
    "currency": "BTC"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_current_deposit_address"

payload = {
"jsonrpc": "2.0",
"id": 3461,
"method": "private/get_current_deposit_address",
"params": { "currency": "BTC" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 3461,
method: 'private/get_current_deposit_address',
params: {currency: 'BTC'}
})
};

fetch('https://test.deribit.com/api/v2/private/get_current_deposit_address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 3461,
  "result": {
    "address": "2N8udZGBc1hLRCFsU9kGwMPpmYUwMFTuCwB",
    "creation_timestamp": 1550575165170,
    "currency": "BTC",
    "type": "deposit"
  }
}

Query Parameters

currency
enum<string>
required

The currency symbol Currency, i.e "BTC", "ETH", "USDC"

Available options:
BTC,
ETH,
USDC,
USDT,
EURR

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required

Object if address is created, null otherwise

id
integer

The id that was sent in the request